# Generated by Django 2.2.1 on 2021-07-07 08:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('att_subscriptions', '0001_initial'),
        ('sprint_subscriptions', '0001_initial'),
        ('usage', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='datausagerecord',
            name='usage_date',
            field=models.DateTimeField(),
        ),
        migrations.AlterField(
            model_name='voiceusagerecord',
            name='usage_date',
            field=models.DateTimeField(),
        ),
        migrations.CreateModel(
            name='AggregatedUsage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('total_kilobytes', models.IntegerField()),
                ('total_seconds', models.IntegerField()),
                ('data_price', models.DecimalField(decimal_places=2, default=0, max_digits=5)),
                ('voice_price', models.DecimalField(decimal_places=2, default=0, max_digits=5)),
                ('att_subscription', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='att_subscriptions.ATTSubscription')),
                ('sprint_subscription', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='sprint_subscriptions.SprintSubscription')),
            ],
        ),
    ]
